package com.xydl.cac.repository;

import com.xydl.cac.entity.Jg;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface JgRepository extends JpaRepository<Jg, Integer>, JpaSpecificationExecutor<Jg> {

    List<Jg> findByBdzid(Integer bdzId);

    List<Jg> findByBdzidAndMc(Integer bdzId, String mc);

    List<Jg> findByBdzidAndMcAndIdIsNot(Integer bdzId, String mc, Integer id);
}